Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Enum TargetJdk

    java.lang.Object
      org.gradle.api.plugins.quality.TargetJdk

    public enum TargetJdk

Represents the PMD targetjdk property available for PMD < 5.0

Method Summary
`String` | `getName()`
`String` | `toString()`
`static TargetJdk` | `toVersion(Object value)` Represents the PMD targetjdk property available for PMD < 5.0

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getName

    public String getName()

### toString

    @Override
    public String toString()

### toVersion

    public static TargetJdk toVersion(Object value)

  Represents the PMD targetjdk property available for PMD < 5.0

Gradle API 1.10